Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.itest
Class Itest

    java.lang.Object
      ix.icore.IXAgent
          ix.itest.Itest

    public class Itest

extends IXAgent

The generic I-TEST class and application main program.

Its IPC name can be given by the "-ipc-name" command-line argument. For example, to pretend to be an agent named I-DEEL:

        java ix.itest.Itest -ipc -ipc-name=I-DEEL

Field Summary
`protected ItestFrame` | `frame`

Fields inherited from class ix.icore.IXAgent
`contactManager, displayName, eventLogger, exitHooks, initialDisplayName, ipcName, ipcStrategyName, iSimTimer, mainAgent, nameListeners, startupDate, startupHooks, symbolName, textFrame`

Constructor Summary
`Itest()`
`Itest(java.lang.String frameTitle)`

Method Summary
`protected void` | `addTests()` Adds any tests common to all versions of I-TEST.
`void` | `addTool(ToolController tc)` Adds a tool, usually by adding an entry to a "Tools" menu in the GUI.
`void` | `handleInput(IPC.InputMessage message)` Handles external input.
`static void` | `main(java.lang.String[] argv)` Main program.
`javax.swing.JPanel` | `makeLogoPanel()` Creates a standard logo panel for I-TEST.
`protected void` | `processCommandLineArguments()` Command-line argument processing used by all versions of I-TEST.
`void` | `startup()` Completes I-TEST setup and initialization.

Methods inherited from class ix.icore.IXAgent
`addAgentNameListener, addExitHook, addStartupHook, adjustLookAndFeel, displayMessage, do_mainStartup, ensureTool, exit, fireSymbolNameChanged, getAgent, getAgentDisplayName, getAgentIPCName, getAgentStartupDate, getAgentSymbolName, getContactManager, getEventLogger, getISimTimer, getKnownAgents, handleNewActivity, handleNewChatMessage, handleNewConstraint, handleNewIssue, handleNewReport, handleReceivedReport, installAgentExtensions, installAgentExtensions, isMainAgent, log, mainStartup, notePossibleNewContact, pre_handleInput, preprocessInput, reportInputException, setAgentSymbolName, setEventLogger, setupISimTimer, startServer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### frame

    protected ItestFrame frame

Constructor Detail

### Itest

    public Itest()

### Itest

    public Itest(java.lang.String frameTitle)

Method Detail

### main

    public static void main(java.lang.String[] argv)

  Main program.

### processCommandLineArguments

    protected void processCommandLineArguments()

  Command-line argument processing used by all versions of I-TEST.

  Overrides:
    `processCommandLineArguments` in class `IXAgent`
  See Also:
    `IXAgent.processCommandLineArguments()`

### startup

    public void startup()

  Completes I-TEST setup and initialization.

  Overrides:
    `startup` in class `IXAgent`

### makeLogoPanel

    public javax.swing.JPanel makeLogoPanel()

  Creates a standard logo panel for I-TEST. Overridden in subclasses that have, say, a picture to use instead.

  This method is in the agent class, rather than the frame class, to make it easier to define applications that have a different logo panel.

### handleInput

    public void handleInput(IPC.InputMessage message)

  Handles external input.

  Overrides:
    `handleInput` in class `IXAgent`

### addTool

    public void addTool(ToolController tc)

  Description copied from class: `IXAgent`
  Adds a tool, usually by adding an entry to a "Tools" menu in the GUI. This method throws an exception that says tool additions are not supported; it should be overridden in subclasses that do allow tools.

  Overrides:
    `addTool` in class `IXAgent`

### addTests

    protected void addTests()

  Adds any tests common to all versions of I-TEST.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD